Subject: [Sip] Nat traversal !

From: vikram <[email-masked]>
Date: Thu, 07 Oct 2004 18:30:25 +0530

Hello all ,
 
  For symmetric NAT traversal , I tried  my VoIP client with some free  
SBCs (termed as Out bound proxies also )
  I could register with them and even call is established but there was 
no voice behind Symmetric NAT.

  1. In the source code I am sending all my packets (sip as well as rtp) 
to SBCs's IP & port
     We are using same socket to send/recv rtp packet. It this enough ?
   2. Do I have to do anything  additionally  ?
  3. With the same set up X-lite(xten) worked , but our s/w could not .
  4. we have compared x-lite packets with ours,  they are very same.    

When we sniff  packets at our ISP we could see packets coming in
but our Symmetric NAT -router might be  dropping them .

If router  blocks some traffic because of its symmetric Nature
dose it respond with ICMP  error messages ? how do i know
that my router is dropping (specially when my router is a old and
low end )

This is happening even if we are using a SBC.
Our logic :
1.Check NAT type
2. If it is Symmetric NAT
        Send local IP & media  port in  SDP.
        Use SBC IP & port while sending  anything (sip/rtp)

any guess what is going wrong ?

Please HELP !!!!!

regards

vikram

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip